This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 433758 - (CVE-2008-0882) CVE-2008-0882 cups: double free vulnerability in process_browse_data()
CVE-2008-0882 cups: double free vulnerability in process_browse_data()
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20080107,reported=20080220,sou...
: Security
Depends On: 433766 433767 433802 433803
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 05:26 EST by Tomas Hoger
Modified: 2008-02-26 02:20 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.3.6-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 19:23:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-02-21 05:26:33 EST
Secunia has released and advisory affecting cups printing system:

  http://secunia.com/advisories/28994/

  Description:
  A vulnerability has been discovered in CUPS, which can be exploited by
  malicious people to cause a DoS (Denial of Service) or to potentially
  compromise a vulnerable system.

  The vulnerability is caused due to an error within the
  "process_browse_data()" function when adding printers and classes. This
  can be exploited to free the same buffer twice by sending specially
  crafted browser packets to the UDP port on which cupsd is listening (by
  default port 631/UDP).

  Successful exploitation may allow execution of arbitrary code.

  The vulnerability is confirmed in version 1.3.5. Prior versions may also
  be affected.

  Solution:
  Update to version 1.3.6.

Upstream bug report:
http://www.cups.org/str.php?L2656

Upstream patch:
http://www.cups.org/strfiles/2656/str2656.patch
Comment 1 Tomas Hoger 2008-02-21 05:42:14 EST
Further info from Tim Waugh:

  In Red Hat Enterprise Linux 3, 4 and 5 we ship with 'BrowseAllow
  @LOCAL' (the upstream default at the time), which causes CUPS to drop
  UDP Browse packets from source IP addresses not matching a local subnet
  (i.e. interface address & netmask, for each interface).

  In Fedora we ship with 'BrowseAll All' in the CUPS configuration,
  which allows all UDP Browse packets in.

Communication to 631/udp is allowed by default in iptables configuration.
Comment 7 Mark J. Cox (Product Security) 2008-02-21 11:07:55 EST
We've determined through source code analysis that the older versions of CUPS as
shipped in Red Hat Enterprise Linux 3 and 4 do not contain the code that can
cause this double-free to occur.  We also tested this using a reproducer.

Red Hat Enterprise Linux 5 does have the double-free and we can cause CUPS to
remotely crash using an internal reproducer.  However the glibc pointer checking
as part of Enterprise Linux 5 limits the exploitability of this issue to just a
crash of CUPS and not the ability to execute arbitrary code.
Comment 11 Fedora Update System 2008-02-22 08:46:20 EST
cups-1.2.12-9.fc7 has been submitted as an update for Fedora 7
Comment 12 Fedora Update System 2008-02-25 19:23:33 EST
cups-1.3.6-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-02-25 19:26:08 EST
cups-1.2.12-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.